As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 516356 - Tools > Activity manager does not bring existing activity mananger window in the foreground
: Tools > Activity manager does not bring existing activity mananger window in ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 26.0
Assigned To: Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
:
:
Mentors:
: 533823 (view as bug list)
Depends on:
Blocks: activitymgr
  Show dependency treegraph
 
Reported: 2009-09-14 02:23 PDT by Thomas D. (needinfo?me)
Modified: 2013-08-27 02:49 PDT (History)
7 users (show)
standard8: wanted‑thunderbird+
mozilla: blocking‑thunderbird3.1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
-
fixed
fixed


Attachments
Tb-bug516356-activityManager-focus-v1.patch (1.08 KB, patch)
2013-08-17 12:10 PDT, Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
mkmelin+mozilla: review+
Details | Diff | Splinter Review
patch, r=mkmelin, has check-in message (1.08 KB, patch)
2013-08-18 03:49 PDT, Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Thomas D. (needinfo?me) 2009-09-14 02:23:13 PDT
With an existing activity manager window open in the background, executing Tools > Activity manager again does not bring the existing AM window in the foreground.
Comment 1 User image sbastig 2009-12-02 22:10:32 PST
I confirm this bug.
Comment 2 User image Phil Ringnalda (:philor) 2009-12-09 15:22:12 PST
*** Bug 533823 has been marked as a duplicate of this bug. ***
Comment 3 User image David :Bienvenu 2010-02-10 16:06:00 PST
not a blocker, but we'd certainly accept a simple patch.
Comment 4 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2013-08-17 12:10:56 PDT
Created attachment 791728 [details] [diff] [review]
Tb-bug516356-activityManager-focus-v1.patch

One character patch. Tested on Windows XP.
Comment 5 User image Magnus Melin 2013-08-18 03:12:09 PDT
Comment on attachment 791728 [details] [diff] [review]
Tb-bug516356-activityManager-focus-v1.patch

Review of attachment 791728 [details] [diff] [review]:
-----------------------------------------------------------------

Steeling this review. Good catch! r=mkmelin
Comment 6 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2013-08-18 03:49:30 PDT
Created attachment 791819 [details] [diff] [review]
patch, r=mkmelin, has check-in message
Comment 7 User image Ludovic Hirlimann [:Usul] 2013-08-19 06:52:47 PDT
I know it won't bake long enough , but it's a very nice ui fix without l10n, Would make sense to include it in 24.
Comment 8 User image Ryan VanderMeulen [:RyanVM] 2013-08-20 05:05:37 PDT
https://hg.mozilla.org/comm-central/rev/b849afd13de1
Comment 9 User image Thomas D. (needinfo?me) 2013-08-20 07:04:18 PDT
Comment on attachment 791819 [details] [diff] [review]
patch, r=mkmelin, has check-in message

(In reply to Ludovic Hirlimann [:Usul] from comment #7)
> I know it won't bake long enough , but it's a very nice ui fix without l10n,
> Would make sense to include it in 24.

Mark, kindly requesting this nitfix to go into TB 24 per Ludo's comment 7, and you also recommended this in 2010 as wanted-thunderbird+

[Approval Request Comment]
Regression caused by (bug #): ?
User impact if declined: workflow impediments
Testing completed (on c-c, etc.): single-character-patch ("typo fix")
Risk to taking this patch (and alternatives if risky): none
Comment 10 User image Mark Banner (:standard8) 2013-08-27 01:01:35 PDT
Comment on attachment 791819 [details] [diff] [review]
patch, r=mkmelin, has check-in message

[Triage Comment]
a=Standard8
Comment 11 User image Mark Banner (:standard8) 2013-08-27 01:02:06 PDT
No need to track.

Note You need to log in before you can comment on or make changes to this bug.